from pytracify import run 


def test_class ()->None :
    code ="""
class MyClass:
    def __init__(self, value):
        self.value = value

    def get_value(self):
        return self.value

obj = MyClass(10)
return obj.get_value()
"""
    assert run (code ).result .value ==10 
